lkml.org 
[lkml]   [2017]   [Oct]   [6]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
    /
    From
    Date
    SubjectRe: stable-rc build: 6 warnings 0 failures (stable-rc/v3.18.72-22-g11fceae)
    On Thu, Oct 5, 2017 at 11:16 AM, gregkh <gregkh@linuxfoundation.org> wrote:
    > On Wed, Oct 04, 2017 at 09:31:25PM +0200, Arnd Bergmann wrote:
    >> On Tue, Oct 3, 2017 at 2:25 PM, Olof's autobuilder <build@lixom.net> wrote:
    >>
    >> > Warnings:
    >> >
    >> > 2 drivers/media/pci/ttpci/av7110_hw.h:406:3: warning: 'memcpy': specified size between 18446744071562067968 and 18446744073709551615 exceeds maximum object size 9223372036854775807 [-Wstringop-overflow=]
    >>
    >> This was fixed in linux-4.11:
    >>
    >> 69d3973af1ac ("[media] ttpci: address stringop overflow warning")
    >>
    >> > 4 drivers/staging/nvec/nvec_ps2.c:168:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
    >>
    >> and this was fixed in linux-4.2:
    >>
    >> 716baa7b430c ("staging: nvec: remove duplicated const")
    >>
    >> Both warnings show up for Olof's build bot in 3.18, but the fixes should
    >> also apply to the later kernels.
    >
    > Thanks for these, all now queued up.

    It looks like you applied them to 4.4.y and 4.9.y, but not to 3.18.y, which
    still shows both problems in the 3.18.73 build report.

    Can you check again?

    Thanks,

    Arnd

    \
     
     \ /
      Last update: 2017-10-06 11:13    [W:5.429 / U:4.388 seconds]
    ©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site